<?php

/**
 * Implements hook_views_default_views().
 */
function google_analytics_reports_views_default_views() {

  $view = new view();
  $view->name = 'google_analytics_reports_summary';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'google_analytics';
  $view->human_name = 'Google Analytics Summary';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Google Analytics Summary';
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access google analytics reports';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'sessions' => 'sessions',
    'pageviews' => 'pageviews',
    'pageviewsPerSession' => 'pageviewsPerSession',
    'bounceRate' => 'bounceRate',
    'avgSessionDuration' => 'avgSessionDuration',
    'percentNewSessions' => 'percentNewSessions',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'sessions' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'pageviews' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'pageviewsPerSession' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'bounceRate' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'avgSessionDuration' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'percentNewSessions' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Field: Session metrics: Sessions */
  $handler->display->display_options['fields']['sessions']['id'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['sessions']['field'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['precision'] = '0';
  $handler->display->display_options['fields']['sessions']['separator'] = '';
  /* Field: Page tracking metrics: Pageviews */
  $handler->display->display_options['fields']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['precision'] = '0';
  $handler->display->display_options['fields']['pageviews']['separator'] = '';
  /* Field: Page tracking calculated metrics: Pages / Session */
  $handler->display->display_options['fields']['pageviewsPerSession']['id'] = 'pageviewsPerSession';
  $handler->display->display_options['fields']['pageviewsPerSession']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageviewsPerSession']['field'] = 'pageviewsPerSession';
  $handler->display->display_options['fields']['pageviewsPerSession']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['pageviewsPerSession']['precision'] = '2';
  /* Field: Session calculated metrics: Bounce Rate */
  $handler->display->display_options['fields']['bounceRate']['id'] = 'bounceRate';
  $handler->display->display_options['fields']['bounceRate']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['bounceRate']['field'] = 'bounceRate';
  $handler->display->display_options['fields']['bounceRate']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['bounceRate']['precision'] = '2';
  $handler->display->display_options['fields']['bounceRate']['suffix'] = '%';
  /* Field: Session calculated metrics: Avg. Session Duration */
  $handler->display->display_options['fields']['avgSessionDuration']['id'] = 'avgSessionDuration';
  $handler->display->display_options['fields']['avgSessionDuration']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['avgSessionDuration']['field'] = 'avgSessionDuration';
  $handler->display->display_options['fields']['avgSessionDuration']['date_format'] = 'custom';
  $handler->display->display_options['fields']['avgSessionDuration']['custom_date_format'] = 'i:s';
  $handler->display->display_options['fields']['avgSessionDuration']['second_date_format'] = 'long';
  /* Field: User calculated metrics: % New Sessions */
  $handler->display->display_options['fields']['percentNewSessions']['id'] = 'percentNewSessions';
  $handler->display->display_options['fields']['percentNewSessions']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['percentNewSessions']['field'] = 'percentNewSessions';
  $handler->display->display_options['fields']['percentNewSessions']['label'] = 'New Sessions';
  $handler->display->display_options['fields']['percentNewSessions']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['percentNewSessions']['precision'] = '2';
  $handler->display->display_options['fields']['percentNewSessions']['suffix'] = '%';
  /* Filter criterion: Google Analytics: Start date of report */
  $handler->display->display_options['filters']['start_date']['id'] = 'start_date';
  $handler->display->display_options['filters']['start_date']['table'] = 'google_analytics';
  $handler->display->display_options['filters']['start_date']['field'] = 'start_date';
  $handler->display->display_options['filters']['start_date']['value']['value'] = '-31 day';
  $handler->display->display_options['filters']['start_date']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['start_date']['group'] = 1;
  /* Filter criterion: Google Analytics: End date of report */
  $handler->display->display_options['filters']['end_date']['id'] = 'end_date';
  $handler->display->display_options['filters']['end_date']['table'] = 'google_analytics';
  $handler->display->display_options['filters']['end_date']['field'] = 'end_date';
  $handler->display->display_options['filters']['end_date']['value']['value'] = '-1 day';
  $handler->display->display_options['filters']['end_date']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['end_date']['group'] = 1;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/reports/google-analytics';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Google Analytics Summary';
  $handler->display->display_options['menu']['description'] = 'View a traffic report for your site.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Top Pages */
  $handler = $view->new_display('attachment', 'Top Pages', 'attachment_top_pages');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary google-analytics-reports-summary-top-pages';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['type'] = 'ol';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'pageTitle' => 'pageTitle',
    'pageviews' => 'pageviews',
  );
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Top Pages';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h2>Top Pages</h2>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Page tracking dimensions: Page */
  $handler->display->display_options['fields']['pagePath']['id'] = 'pagePath';
  $handler->display->display_options['fields']['pagePath']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pagePath']['field'] = 'pagePath';
  $handler->display->display_options['fields']['pagePath']['label'] = '';
  $handler->display->display_options['fields']['pagePath']['exclude'] = TRUE;
  $handler->display->display_options['fields']['pagePath']['element_label_colon'] = FALSE;
  /* Field: Page tracking dimensions: Page Title */
  $handler->display->display_options['fields']['pageTitle']['id'] = 'pageTitle';
  $handler->display->display_options['fields']['pageTitle']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageTitle']['field'] = 'pageTitle';
  $handler->display->display_options['fields']['pageTitle']['label'] = '';
  $handler->display->display_options['fields']['pageTitle']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['pageTitle']['alter']['text'] = '<a href="[pagePath]">[pageTitle]</a>';
  $handler->display->display_options['fields']['pageTitle']['element_label_colon'] = FALSE;
  /* Field: Page tracking metrics: Pageviews */
  $handler->display->display_options['fields']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['label'] = '';
  $handler->display->display_options['fields']['pageviews']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['pageviews']['precision'] = '0';
  $handler->display->display_options['fields']['pageviews']['separator'] = '';
  $handler->display->display_options['fields']['pageviews']['prefix'] = '-';
  $handler->display->display_options['fields']['pageviews']['suffix'] = ' views';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Page tracking metrics: Pageviews */
  $handler->display->display_options['sorts']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['sorts']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['sorts']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['sorts']['pageviews']['order'] = 'DESC';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';

  /* Display: Top Sources */
  $handler = $view->new_display('attachment', 'Top Sources', 'attachment_top_sources');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary google-analytics-reports-summary-top-sources';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['type'] = 'ol';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'source' => 'source',
    'medium' => 'medium',
    'sessions' => 'sessions',
  );
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Top Sources';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h2>Top Sources</h2>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Traffic sources dimensions: Source */
  $handler->display->display_options['fields']['source']['id'] = 'source';
  $handler->display->display_options['fields']['source']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['source']['field'] = 'source';
  $handler->display->display_options['fields']['source']['label'] = '';
  $handler->display->display_options['fields']['source']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['source']['alter']['text'] = '<strong>[source]</strong> - ';
  $handler->display->display_options['fields']['source']['element_label_colon'] = FALSE;
  /* Field: Traffic sources dimensions: Medium */
  $handler->display->display_options['fields']['medium']['id'] = 'medium';
  $handler->display->display_options['fields']['medium']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['medium']['field'] = 'medium';
  $handler->display->display_options['fields']['medium']['label'] = '';
  $handler->display->display_options['fields']['medium']['element_label_colon'] = FALSE;
  /* Field: Session metrics: Sessions */
  $handler->display->display_options['fields']['sessions']['id'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['sessions']['field'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['label'] = '';
  $handler->display->display_options['fields']['sessions']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sessions']['precision'] = '0';
  $handler->display->display_options['fields']['sessions']['separator'] = '';
  $handler->display->display_options['fields']['sessions']['prefix'] = '- ';
  $handler->display->display_options['fields']['sessions']['suffix'] = ' sessions';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Session metrics: Sessions */
  $handler->display->display_options['sorts']['sessions']['id'] = 'sessions';
  $handler->display->display_options['sorts']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['sorts']['sessions']['field'] = 'sessions';
  $handler->display->display_options['sorts']['sessions']['order'] = 'DESC';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';

  /* Display: Top Keywords */
  $handler = $view->new_display('attachment', 'Top Keywords', 'attachment_top_keywords');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary google-analytics-reports-summary-top-keywords';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['type'] = 'ol';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'keyword' => 'keyword',
    'sessions' => 'sessions',
  );
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Top Keywords';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h2>Top Keywords</h2>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Traffic sources dimensions: Keyword */
  $handler->display->display_options['fields']['keyword']['id'] = 'keyword';
  $handler->display->display_options['fields']['keyword']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['keyword']['field'] = 'keyword';
  $handler->display->display_options['fields']['keyword']['label'] = '';
  $handler->display->display_options['fields']['keyword']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['keyword']['alter']['text'] = '<strong>[keyword]</strong>';
  $handler->display->display_options['fields']['keyword']['element_label_colon'] = FALSE;
  /* Field: Session metrics: Sessions */
  $handler->display->display_options['fields']['sessions']['id'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['sessions']['field'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['label'] = '';
  $handler->display->display_options['fields']['sessions']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['sessions']['precision'] = '0';
  $handler->display->display_options['fields']['sessions']['separator'] = '';
  $handler->display->display_options['fields']['sessions']['prefix'] = '- ';
  $handler->display->display_options['fields']['sessions']['suffix'] = ' sessions';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Session metrics: Sessions */
  $handler->display->display_options['sorts']['sessions']['id'] = 'sessions';
  $handler->display->display_options['sorts']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['sorts']['sessions']['field'] = 'sessions';
  $handler->display->display_options['sorts']['sessions']['order'] = 'DESC';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';

  /* Display: Chart */
  $handler = $view->new_display('attachment', 'Chart', 'attachment_chart');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary google-analytics-reports-summary-chart';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'chart';
  $handler->display->display_options['style_options']['type'] = 'area';
  $handler->display->display_options['style_options']['library'] = '';
  $handler->display->display_options['style_options']['label_field'] = 'date';
  $handler->display->display_options['style_options']['data_fields'] = array(
    'sessions' => 'sessions',
    'pageviews' => 'pageviews',
    'date' => 0,
  );
  $handler->display->display_options['style_options']['field_colors'] = array(
    'date' => '#2f7ed8',
    'sessions' => '#058dc7',
    'pageviews' => '#aadff3',
  );
  $handler->display->display_options['style_options']['title_position'] = '';
  $handler->display->display_options['style_options']['width'] = '';
  $handler->display->display_options['style_options']['height'] = '300';
  $handler->display->display_options['style_options']['xaxis_title'] = 'Date';
  $handler->display->display_options['style_options']['xaxis_labels_rotation'] = '30';
  $handler->display->display_options['style_options']['yaxis_title'] = 'Sessions and Pageviews';
  $handler->display->display_options['style_options']['yaxis_labels_rotation'] = '0';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Sessions over the past 30 days';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h2>Sessions over the past 30 days</h2>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Time dimensions: Date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['date_format'] = 'custom';
  $handler->display->display_options['fields']['date']['custom_date_format'] = 'j M';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Session metrics: Sessions */
  $handler->display->display_options['fields']['sessions']['id'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['sessions']['field'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['precision'] = '0';
  $handler->display->display_options['fields']['sessions']['separator'] = '';
  /* Field: Page tracking metrics: Pageviews */
  $handler->display->display_options['fields']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['precision'] = '0';
  $handler->display->display_options['fields']['pageviews']['separator'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Time dimensions: Date */
  $handler->display->display_options['sorts']['date']['id'] = 'date';
  $handler->display->display_options['sorts']['date']['table'] = 'google_analytics';
  $handler->display->display_options['sorts']['date']['field'] = 'date';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
    'block_1' => 0,
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary-block';
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'Full report';
  $handler->display->display_options['defaults']['link_display'] = FALSE;
  $handler->display->display_options['link_display'] = 'page';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['type'] = 'ol';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'pageTitle' => 'pageTitle',
    'pageviews' => 'pageviews',
  );
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: View area */
  $handler->display->display_options['header']['view']['id'] = 'view';
  $handler->display->display_options['header']['view']['table'] = 'views';
  $handler->display->display_options['header']['view']['field'] = 'view';
  $handler->display->display_options['header']['view']['label'] = 'Block Chart';
  $handler->display->display_options['header']['view']['view_to_insert'] = 'google_analytics_reports_summary:attachment_block_chart';
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Top Pages';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h3>Top Pages</h3>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Page tracking dimensions: Page */
  $handler->display->display_options['fields']['pagePath']['id'] = 'pagePath';
  $handler->display->display_options['fields']['pagePath']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pagePath']['field'] = 'pagePath';
  $handler->display->display_options['fields']['pagePath']['label'] = '';
  $handler->display->display_options['fields']['pagePath']['exclude'] = TRUE;
  $handler->display->display_options['fields']['pagePath']['element_label_colon'] = FALSE;
  /* Field: Page tracking dimensions: Page Title */
  $handler->display->display_options['fields']['pageTitle']['id'] = 'pageTitle';
  $handler->display->display_options['fields']['pageTitle']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageTitle']['field'] = 'pageTitle';
  $handler->display->display_options['fields']['pageTitle']['label'] = '';
  $handler->display->display_options['fields']['pageTitle']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['pageTitle']['alter']['text'] = '<a href="[pagePath]">[pageTitle]</a>';
  $handler->display->display_options['fields']['pageTitle']['element_label_colon'] = FALSE;
  /* Field: Page tracking metrics: Pageviews */
  $handler->display->display_options['fields']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['label'] = '';
  $handler->display->display_options['fields']['pageviews']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['pageviews']['precision'] = '0';
  $handler->display->display_options['fields']['pageviews']['separator'] = '';
  $handler->display->display_options['fields']['pageviews']['prefix'] = '- ';
  $handler->display->display_options['fields']['pageviews']['suffix'] = ' views';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Page tracking metrics: Pageviews */
  $handler->display->display_options['sorts']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['sorts']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['sorts']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['sorts']['pageviews']['order'] = 'DESC';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Google Analytics: Start date of report */
  $handler->display->display_options['filters']['start_date']['id'] = 'start_date';
  $handler->display->display_options['filters']['start_date']['table'] = 'google_analytics';
  $handler->display->display_options['filters']['start_date']['field'] = 'start_date';
  $handler->display->display_options['filters']['start_date']['value']['value'] = '-28 day';
  $handler->display->display_options['filters']['start_date']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['start_date']['group'] = 1;
  /* Filter criterion: Google Analytics: End date of report */
  $handler->display->display_options['filters']['end_date']['id'] = 'end_date';
  $handler->display->display_options['filters']['end_date']['table'] = 'google_analytics';
  $handler->display->display_options['filters']['end_date']['field'] = 'end_date';
  $handler->display->display_options['filters']['end_date']['value']['value'] = '-1 day';
  $handler->display->display_options['filters']['end_date']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['end_date']['group'] = 1;

  /* Display: Block Chart */
  $handler = $view->new_display('attachment', 'Block Chart', 'attachment_block_chart');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'google-analytics-reports-summary-block google-analytics-reports-summary-block-chart';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'chart';
  $handler->display->display_options['style_options']['type'] = 'area';
  $handler->display->display_options['style_options']['library'] = '';
  $handler->display->display_options['style_options']['label_field'] = '';
  $handler->display->display_options['style_options']['data_fields'] = array(
    'sessions' => 'sessions',
    'pageviews' => 'pageviews',
    'week' => 0,
  );
  $handler->display->display_options['style_options']['field_colors'] = array(
    'week' => '#2f7ed8',
    'sessions' => '#058dc7',
    'pageviews' => '#aadff3',
  );
  $handler->display->display_options['style_options']['title_position'] = '';
  $handler->display->display_options['style_options']['legend_position'] = '';
  $handler->display->display_options['style_options']['width'] = '';
  $handler->display->display_options['style_options']['height'] = '';
  $handler->display->display_options['style_options']['xaxis_labels_rotation'] = '0';
  $handler->display->display_options['style_options']['yaxis_labels_rotation'] = '0';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Sessions over the last 28 days';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h3>Sessions over the last 28 days</h3>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Time dimensions: Week of the Year */
  $handler->display->display_options['fields']['week']['id'] = 'week';
  $handler->display->display_options['fields']['week']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['week']['field'] = 'week';
  /* Field: Session metrics: Sessions */
  $handler->display->display_options['fields']['sessions']['id'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['sessions']['field'] = 'sessions';
  $handler->display->display_options['fields']['sessions']['precision'] = '0';
  $handler->display->display_options['fields']['sessions']['separator'] = '';
  /* Field: Page tracking metrics: Pageviews */
  $handler->display->display_options['fields']['pageviews']['id'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['table'] = 'google_analytics';
  $handler->display->display_options['fields']['pageviews']['field'] = 'pageviews';
  $handler->display->display_options['fields']['pageviews']['precision'] = '0';
  $handler->display->display_options['fields']['pageviews']['separator'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Time dimensions: Week of the Year */
  $handler->display->display_options['sorts']['week']['id'] = 'week';
  $handler->display->display_options['sorts']['week']['table'] = 'google_analytics';
  $handler->display->display_options['sorts']['week']['field'] = 'week';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Google Analytics: Start date of report */
  $handler->display->display_options['filters']['start_date']['id'] = 'start_date';
  $handler->display->display_options['filters']['start_date']['table'] = 'google_analytics';
  $handler->display->display_options['filters']['start_date']['field'] = 'start_date';
  $handler->display->display_options['filters']['start_date']['value']['value'] = '-28 day';
  $handler->display->display_options['filters']['start_date']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['start_date']['group'] = 1;
  /* Filter criterion: Google Analytics: End date of report */
  $handler->display->display_options['filters']['end_date']['id'] = 'end_date';
  $handler->display->display_options['filters']['end_date']['table'] = 'google_analytics';
  $handler->display->display_options['filters']['end_date']['field'] = 'end_date';
  $handler->display->display_options['filters']['end_date']['value']['value'] = '-1 day';
  $handler->display->display_options['filters']['end_date']['value']['type'] = 'offset';
  $handler->display->display_options['filters']['end_date']['group'] = 1;
  $handler->display->display_options['displays'] = array(
    'default' => 0,
    'page' => 0,
    'block_1' => 0,
  );

  $views[$view->name] = $view;

  return $views;
}
